#pragma once

#include <stdint.h>
#include <stddef.h>
#include <limine.h>

void pmm_init(struct limine_memmap_entry **memmap, size_t memmap_entries);
void *pmm_alloc(size_t pages);
void *pmm_allocz(size_t pages);
void pmm_free(void *addr, size_t pages);